NXOpen .NET Reference  12.0.0
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.CurveCollection Class Reference

Represents a collection of NXOpen.Curve . More...

Inheritance diagram for NXOpen.CurveCollection:

Public Member Functions

NXOpen.Curve[] ToArray ()
 Returns an array of NXOpen.Curve objects. More...
 
unsafe NXOpen.Line CreateLine (NXOpen.Point3d startPoint, NXOpen.Point3d endPoint)
 Creates a NXOpen.Line . More...
 
unsafe NXOpen.Line CreateLine (NXOpen.Point startPoint, NXOpen.Point endPoint)
 Creates a NXOpen.Line joining given start NXOpen.Point and End NXOpen.Point . More...
 
unsafe NXOpen.InfiniteLine CreateInfiniteLine (NXOpen.Point3d startPoint, NXOpen.Point3d endPoint)
 Creates a NXOpen.InfiniteLine that passes through the two specified points. More...
 
unsafe NXOpen.InfiniteLine CreatePairedInfiniteLine (NXOpen.Line line)
 Creates a paired NXOpen.InfiniteLine that is paired to the specified line. More...
 
unsafe NXOpen.Arc CreateArc (NXOpen.Point3d startPoint, NXOpen.Point3d pointOn, NXOpen.Point3d endPoint, bool alternateSolution, out bool startAndEndGotFlipped)
 Creates an NXOpen.Arc that passes through the three specified points. More...
 
unsafe NXOpen.Arc CreateArc (NXOpen.Point3d center, NXOpen.NXMatrix matrix, double radius, double startAngle, double endAngle)
 Creates an NXOpen.Arc . More...
 
unsafe NXOpen.Arc CreateArc (NXOpen.Point3d center, NXOpen.Vector3d xDirection, NXOpen.Vector3d yDirection, double radius, double startAngle, double endAngle)
 Creates an NXOpen.Arc . More...
 
unsafe NXOpen.Ellipse CreateEllipse (NXOpen.Point3d center, double majorRadius, double minorRadius, double startAngle, double endAngle, double rotationAngle, NXOpen.NXMatrix matrix)
 Creates an NXOpen.Ellipse . More...
 
unsafe NXOpen.Ellipse CreateEllipse (NXOpen.Point3d center, NXOpen.Vector3d xDirection, NXOpen.Vector3d yDirection, double majorRadius, double minorRadius, double startAngle, double endAngle)
 Creates an NXOpen.Ellipse . More...
 
unsafe NXOpen.Parabola CreateParabola (NXOpen.Point3d center, double focalLength, double minimumDY, double maximumDY, double rotationAngle, NXOpen.NXMatrix matrix)
 Creates a NXOpen.Parabola . More...
 
unsafe NXOpen.Parabola CreateParabola (NXOpen.Point3d center, NXOpen.Vector3d xDirection, NXOpen.Vector3d yDirection, double focalLength, double minimumDY, double maximumDY)
 Creates a NXOpen.Parabola . More...
 
unsafe NXOpen.Hyperbola CreateHyperbola (NXOpen.Point3d center, double semiTransverseLength, double semiConjugateLength, double minimumDY, double maximumDY, double rotationAngle, NXOpen.NXMatrix matrix)
 Creates a NXOpen.Hyperbola . More...
 
unsafe NXOpen.Hyperbola CreateHyperbola (NXOpen.Point3d center, NXOpen.Vector3d xDirection, NXOpen.Vector3d yDirection, double semiTransverseLength, double semiConjugateLength, double minimumDY, double maximumDY)
 Creates a NXOpen.Hyperbola . More...
 
unsafe NXOpen.Curve CreateVirtualBlendCurve (NXOpen.SmartObject.UpdateOption updateOption, NXOpen.IParameterizedSurface blendFace, double tolerance)
 Creates a NXOpen.Curve . More...
 
unsafe NXOpen.Curve CreateVirtualCenterlineCurve (NXOpen.SmartObject.UpdateOption updateOption, NXOpen.IParameterizedSurface blendFace, double tolerance)
 Creates a NXOpen.Curve . More...
 
unsafe NXOpen.Curve CreateSmartCompositeCurve (NXOpen.Section section, NXOpen.SmartObject.UpdateOption updateOption, double tolerance)
 Creates a NXOpen.Curve . More...
 
unsafe NXOpen.Curve CreateSmartCompositeCurve (NXOpen.Curve curve, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Curve . More...
 
unsafe NXOpen.ICurve CreateExtractedCurve (NXOpen.ICurve curveToExtract, int type, int subtype, NXOpen.Xform xform, double tolerance, NXOpen.SmartObject.UpdateOption updateOption)
 Creates a NXOpen.Curve . More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of NXOpen.Curve .

Iterating this collection only returns live uncondemned objects contained in the owning part of the collection. Note that NXOpen.Curve is a smart object and many smart objects are condemned as they only exist to support other objects and are not displayed.

To obtain an instance of this class, refer to NXOpen.BasePart

Created in NX3.0.0

Member Function Documentation

unsafe NXOpen.Arc NXOpen.CurveCollection.CreateArc ( NXOpen.Point3d  startPoint,
NXOpen.Point3d  pointOn,
NXOpen.Point3d  endPoint,
bool  alternateSolution,
out bool  startAndEndGotFlipped 
)

Creates an NXOpen.Arc that passes through the three specified points.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
startPointStart point
pointOnPoint that the arc passes through.
endPointEnd point
alternateSolutionIf true, the arc will be created using the alternate solution instead of the regular solution. The alternate solution for an arc is the portion of the full circle that is left out of the regular solution. For example, if the regular solution is an arc that goes from 0 to 45 degrees, the alternate solution will be an arc with the same center and origin but that goes from 45 degrees to 360.
startAndEndGotFlippedIf true, the start point of the arc that is created is at the end point parameter to this method and the end point of the arc is at the start point parameter. In other words, suppose you execute arc = Curves.CreateArc(startPointParam, pointOnParam, endPointParam, false, flipped). If flipped is true, then arc.StartPoint equals endPointParam and arc.EndPoint equals startPointParam.
Returns
unsafe NXOpen.Arc NXOpen.CurveCollection.CreateArc ( NXOpen.Point3d  center,
NXOpen.NXMatrix  matrix,
double  radius,
double  startAngle,
double  endAngle 
)

Creates an NXOpen.Arc .

The arc will be created in a plane which passes through center and whose normal is the Z axis of the orientation matrix. (matrix.Element.xx, matrix.Element.xy, matrix.Element.xz) is the X axis of the orientation matrix. (matrix.Element.yx, matrix.Element.yy, matrix.Element.yz) is the Y axis of the orientation matrix. The start and end angles are measured relative to the X and Y axis of this orientation matrix.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
centerCenter of the arc
matrixOrientation matrix for the arc.
radiusRadius of the arc. Must be greater than zero.
startAngleStart angle in radians
endAngleEnd angle in radians
Returns
unsafe NXOpen.Arc NXOpen.CurveCollection.CreateArc ( NXOpen.Point3d  center,
NXOpen.Vector3d  xDirection,
NXOpen.Vector3d  yDirection,
double  radius,
double  startAngle,
double  endAngle 
)

Creates an NXOpen.Arc .

The arc will be created through the origin and whose normal is Z axis. The start and end angles are measured relative to the X and Y axes.

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
centerCenter of the arc
xDirectionX direction of the arc
yDirectionY direction of the arc
radiusRadius of the arc. Must be greater than zero.
startAngleStart angle in radians
endAngleEnd angle in radians
Returns
unsafe NXOpen.Ellipse NXOpen.CurveCollection.CreateEllipse ( NXOpen.Point3d  center,
double  majorRadius,
double  minorRadius,
double  startAngle,
double  endAngle,
double  rotationAngle,
NXOpen.NXMatrix  matrix 
)

Creates an NXOpen.Ellipse .

The ellipse will be created in a plane which passes through center and whose normal is the Z axis of the orientation matrix. (matrix.Element.xx, matrix.Element.xy, matrix.Element.xz) is the X axis of the orientation matrix. (matrix.Element.yx, matrix.Element.yy, matrix.Element.yz) is the Y axis of the orientation matrix. The start, end, and rotation angles are measured relative to the X and Y axis of this orientation matrix.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
centerCenter of ellipse
majorRadiusMajor radius
minorRadiusMinor radius
startAngleStart angle in radians
endAngleEnd angle in radians
rotationAngleRotation angle in radians
matrixOrientation matrix for the ellipse
Returns
unsafe NXOpen.Ellipse NXOpen.CurveCollection.CreateEllipse ( NXOpen.Point3d  center,
NXOpen.Vector3d  xDirection,
NXOpen.Vector3d  yDirection,
double  majorRadius,
double  minorRadius,
double  startAngle,
double  endAngle 
)

Creates an NXOpen.Ellipse .

The ellipse will be created through the origin and whose normal is Z axis. The start and end angles are measured relative to the X and Y axes.

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
centerCenter of the ellipse
xDirectionX direction of the ellipse
yDirectionY direction of the ellipse
majorRadiusMajor radius of the ellipse. Must be greater than zero.
minorRadiusMinor radius of the ellipse. Must be greater than zero.
startAngleStart angle in radians
endAngleEnd angle in radians
Returns
unsafe NXOpen.ICurve NXOpen.CurveCollection.CreateExtractedCurve ( NXOpen.ICurve  curveToExtract,
int  type,
int  subtype,
NXOpen.Xform  xform,
double  tolerance,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Curve .

The extracted curve will be created for the input curve to extract.

Created in NX8.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

Parameters
curveToExtractCurve or edge to be extracted
typeType
subtypeSub-Type
xformoptional Xform
tolerancetolerance for computing the extract curve
updateOption
Returns
unsafe NXOpen.Hyperbola NXOpen.CurveCollection.CreateHyperbola ( NXOpen.Point3d  center,
double  semiTransverseLength,
double  semiConjugateLength,
double  minimumDY,
double  maximumDY,
double  rotationAngle,
NXOpen.NXMatrix  matrix 
)

Creates a NXOpen.Hyperbola .

The hyperbola will be created in a plane which passes through center and whose normal is the Z axis of the orientation matrix. (matrix.Element.xx, matrix.Element.xy, matrix.Element.xz) is the X axis of the orientation matrix. (matrix.Element.yx, matrix.Element.yy, matrix.Element.yz) is the Y axis of the orientation matrix. The rotation angle is measured relative to the X and Y axis of this orientation matrix.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
centerCenter of hyperbola
semiTransverseLengthSemi-transverse length
semiConjugateLengthSemi-conjugate length
minimumDYMinimum DY width
maximumDYMaximum DY width
rotationAngleRotation angle in radians
matrixOrientation matrix for the hyperbola
Returns
unsafe NXOpen.Hyperbola NXOpen.CurveCollection.CreateHyperbola ( NXOpen.Point3d  center,
NXOpen.Vector3d  xDirection,
NXOpen.Vector3d  yDirection,
double  semiTransverseLength,
double  semiConjugateLength,
double  minimumDY,
double  maximumDY 
)

Creates a NXOpen.Hyperbola .

The hyperbola will be created through the origin and whose normal is Z axis.

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
centerCenter of the hyperbola
xDirectionX direction of the hyperbola
yDirectionY direction of the hyperbola
semiTransverseLengthSemi-transverse length
semiConjugateLengthSemi-conjugate length
minimumDYMinimum DY width
maximumDYMaximum DY width
Returns
unsafe NXOpen.InfiniteLine NXOpen.CurveCollection.CreateInfiniteLine ( NXOpen.Point3d  startPoint,
NXOpen.Point3d  endPoint 
)

Creates a NXOpen.InfiniteLine that passes through the two specified points.

Created in NX7.5.0

License requirements: nx_layout ("NX Layout")

Parameters
startPointStart point
endPointEnd point
Returns
unsafe NXOpen.Line NXOpen.CurveCollection.CreateLine ( NXOpen.Point3d  startPoint,
NXOpen.Point3d  endPoint 
)

Creates a NXOpen.Line .

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
startPointStart point
endPointEnd point
Returns
unsafe NXOpen.Line NXOpen.CurveCollection.CreateLine ( NXOpen.Point  startPoint,
NXOpen.Point  endPoint 
)

Creates a NXOpen.Line joining given start NXOpen.Point and End NXOpen.Point .

Created in NX5.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
startPointStart NXOpen.Point
endPointEnd NXOpen.Point
Returns
unsafe NXOpen.InfiniteLine NXOpen.CurveCollection.CreatePairedInfiniteLine ( NXOpen.Line  line)

Creates a paired NXOpen.InfiniteLine that is paired to the specified line.

Created in NX7.5.0

License requirements: nx_layout ("NX Layout")

Parameters
linePaired NXOpen.Line
Returns
unsafe NXOpen.Parabola NXOpen.CurveCollection.CreateParabola ( NXOpen.Point3d  center,
double  focalLength,
double  minimumDY,
double  maximumDY,
double  rotationAngle,
NXOpen.NXMatrix  matrix 
)

Creates a NXOpen.Parabola .

The parabola will be created in a plane which passes through center and whose normal is the Z axis of the orientation matrix. (matrix.Element.xx, matrix.Element.xy, matrix.Element.xz) is the X axis of the orientation matrix. (matrix.Element.yx, matrix.Element.yy, matrix.Element.yz) is the Y axis of the orientation matrix. The rotation angle is measured relative to the X and Y axis of this orientation matrix.

Created in NX3.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
centerCenter of parabola
focalLengthFocal length
minimumDYMinimum DY width
maximumDYMaximum DY width
rotationAngleRotation angle in radians
matrixOrientation matrix for the parabola
Returns
unsafe NXOpen.Parabola NXOpen.CurveCollection.CreateParabola ( NXOpen.Point3d  center,
NXOpen.Vector3d  xDirection,
NXOpen.Vector3d  yDirection,
double  focalLength,
double  minimumDY,
double  maximumDY 
)

Creates a NXOpen.Parabola .

The parabola will be created through the origin and whose normal is Z axis.

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
centerCenter of the parabola
xDirectionX direction of the parabola
yDirectionY direction of the parabola
focalLengthFocal length
minimumDYMinimum DY width
maximumDYMaximum DY width
Returns
unsafe NXOpen.Curve NXOpen.CurveCollection.CreateSmartCompositeCurve ( NXOpen.Section  section,
NXOpen.SmartObject.UpdateOption  updateOption,
double  tolerance 
)

Creates a NXOpen.Curve .

The smart composite curve will be created for the input section.

Created in NX8.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
sectionSection from which smart composite curve will be created
updateOption
toleranceTolerance used to join the section output curves
Returns
unsafe NXOpen.Curve NXOpen.CurveCollection.CreateSmartCompositeCurve ( NXOpen.Curve  curve,
NXOpen.SmartObject.UpdateOption  updateOption 
)

Creates a NXOpen.Curve .

The smart composite curve will be created for the input curve.

Created in NX8.0.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
curveCurve from which smart composite curve will be created
updateOption
Returns
unsafe NXOpen.Curve NXOpen.CurveCollection.CreateVirtualBlendCurve ( NXOpen.SmartObject.UpdateOption  updateOption,
NXOpen.IParameterizedSurface  blendFace,
double  tolerance 
)

Creates a NXOpen.Curve .

The virtual blend curve will be created for the input blend face. The virtual blend curve behaves similarly to the original edge that the blend face was applied on.

Created in NX7.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
updateOption
blendFaceblend face
tolerancetolerance for computing the facsimile curve
Returns
unsafe NXOpen.Curve NXOpen.CurveCollection.CreateVirtualCenterlineCurve ( NXOpen.SmartObject.UpdateOption  updateOption,
NXOpen.IParameterizedSurface  blendFace,
double  tolerance 
)

Creates a NXOpen.Curve .

The virtual centerline curve will be created for the input blend face.

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
updateOption
blendFaceblend face
tolerancetolerance for computing the facsimile curve
Returns
override int NXOpen.CurveCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
protected

Advances the enumerator to the next element of the collection.

NXOpen.Curve [] NXOpen.CurveCollection.ToArray ( )

Returns an array of NXOpen.Curve objects.

Property Documentation

Tag NXOpen.CurveCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.